Skip to main content
GET
/
v1
/
conversations
/
{id}
Get a conversation
curl --request GET \
  --url https://api.avidoai.com/v1/conversations/{id} \
  --header 'x-api-key: <api-key>' \
  --header 'x-application-id: <api-key>'
{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "createdAt": "2024-01-05T12:34:56.789Z",
    "modifiedAt": "2024-01-05T12:34:56.789Z",
    "messages": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "createdAt": "2024-01-05T12:34:56.789Z",
        "modifiedAt": "2024-01-05T12:34:56.789Z",
        "conversationId": "123e4567-e89b-12d3-a456-426614174000",
        "sequence": 0,
        "role": "USER",
        "parts": [
          {
            "type": "text",
            "text": "Hello, how can I help you?"
          }
        ]
      }
    ],
    "quickstartId": "123e4567-e89b-12d3-a456-426614174000"
  }
}

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Path Parameters

id
string<uuid>
required

The unique identifier of the conversation

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

Successfully retrieved conversation

Response containing a single conversation with messages

data
ConversationWithMessages · object
required

A conversation with its messages included